For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Hostinger WordPress plugin

Update a Hostinger plugin to its latest version on a WordPress installation.

Update Hostinger WordPress plugin

post

Update a Hostinger plugin to its latest version on a WordPress installation.

Provide the WordPress installation (software) identifier in the path. It can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

This operation is asynchronous: a successful response only means the update job has been queued.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
softwarestringRequired

WordPress installation (software) identifier

Example: 1232456789Pattern: ^[0-9]+$
Body
slugstring · enumRequired

Slug of the Hostinger plugin to update to its latest version.

Example: hostinger-affiliate-pluginPossible values:
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
post/api/hosting/v1/accounts/{username}/wordpress/{software}/plugins/hostinger/update
POST /api/hosting/v1/accounts/{username}/wordpress/{software}/plugins/hostinger/update HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 37

{
  "slug": "hostinger-affiliate-plugin"
}
{
  "message": "Request accepted"
}

Last updated

Was this helpful?